-- =============================================
-- Author: FID.Goldy
-- Create date: 28 October 2013
-- Description:	Validating  TB_R_GR_IR with ICS Data
-- =============================================
CREATE PROCEDURE [dbo].[SP_Insert_TB_R_GR_IR]
	AS

BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	 	
	   

    BEGIN TRY
	BEGIN TRANSACTION InsertGRIR
	
	INSERT INTO TB_R_GR_IR 
	(
PO_NO,
PO_ITEM_NO,
MAT_DOC_NO,
MAT_DOC_YEAR,
ITEM_NO,
DOC_DT,
SPECIAL_STOCK_TYPE,
GR_IR_AMT,
SUPPLIER_CD,
COMP_PRICE_CD,
INVENTORY_FLAG,
ACTUAL_POSTING_FLAG,
INV_REF_NO,
CONDITION_CATEGORY,
PO_DETAIL_PRICE,
INV_NO,
INV_ITEM_NO,
LIV_SEND_FLAG,
LIV_SPECIAL_TYPE,
LIV_SPECIAL_MAT_NO,
INV_WO_GR_FLAG,
DOCK_CD,
KANBAN_ORDER_NO,
DN_COMPLETE_FLAG,
ICS_MAT_NO,
SOURCE_TYPE_CD,
PROD_PURPOSE_CD,
MAT_DESC,
PLANT_CD,
SLOC_CD,
UOM_CD,
CANCEL_FLAG,
PART_COLOR_SFX,
PART_NO,
BATCH_NO,
ITEM_CURR,
REFF_CANCEL_MAT_DOC_NO,
REFF_CANCEL_MAT_DOC_YEAR,
REFF_CANCEL_MAT_DOC_ITEM,
MOVEMENT_QTY,
PACKING_TYPE,
TAX_CD,
LIV_SEND_SUPP,
STATUS_CD,
IF_METHOD,
IF_DT,
CREATED_BY,
CREATED_DT,
CHANGED_BY,
CHANGED_DT
	)

SELECT   
T.PO_NO ,--PO_NO,
T.PO_ITEM_NO, --PO_ITEM_NO,
T.MAT_DOC_NO,--MAT_DOC_NO,
T.MAT_DOC_YEAR, --MAT_DOC_YEAR,
T.ITEM_NO, --ITEM_NO,
T.DOC_DT, --DOC_DT,
T.SPECIAL_STOCK_TYPE, --SPECIAL_STOCK_TYPE,
T.GR_IR_AMT,--GR_IR_AMT,
T.SUPPLIER_CD,--SUPPLIER_CD,
T.COMP_PRICE_CD,--COMP_PRICE_CD,
T.INVENTORY_FLAG,--INVENTORY_FLAG,
T.ACTUAL_POSTING_FLAG,--ACTUAL_POSTING_FLAG,
T.INV_REF_NO,--INV_REF_NO,
T.CONDITION_CATEGORY, --CONDITION_CATEGORY,
T.PO_DETAIL_PRICE,--PO_DETAIL_PRICE,
T.INV_NO,--INV_NO,
T.INV_ITEM_NO,--INV_ITEM_NO,
T.LIV_SEND_FLAG,--LIV_SEND_FLAG,
T.LIV_SPECIAL_TYPE,--LIV_SPECIAL_TYPE,
T.LIV_SPECIAL_MAT_NO,--LIV_SPECIAL_MAT_NO,
T.INV_WO_GR_FLAG,--INV_WO_GR_FLAG,
T.DOCK_CD,--DOCK_CD,
T.KANBAN_ORDER_NO,--KANBAN_ORDER_NO,
T.DN_COMPLETE_FLAG,--DN_COMPLETE_FLAG,
T.ICS_MAT_NO,--ICS_MAT_NO,
T.SOURCE_TYPE_CD,--SOURCE_TYPE_CD,
T.PROD_PURPOSE_CD,--PROD_PURPOSE_CD,
T.MAT_DESC,--MAT_DESC,
T.PLANT_CD,--PLANT_CD,
T.SLOC_CD,--SLOC_CD,
T.UOM_CD,--UOM_CD,
T.CANCEL_FLAG,--CANCEL_FLAG,
T.PART_COLOR_SFX,--PART_COLOR_SFX,
T.PART_NO,--PART_NO,
T.BATCH_NO,--BATCH_NO,
T.ITEM_CURR,--ITEM_CURR,
T.REFF_CANCEL_MAT_DOC_NO,--REFF_CANCEL_MAT_DOC_NO,
T.REFF_CANCEL_MAT_DOC_YEAR,--REFF_CANCEL_MAT_DOC_YEAR,
T.REFF_CANCEL_MAT_DOC_ITEM,--REFF_CANCEL_MAT_DOC_ITEM,
T.MOVEMENT_QTY,--MOVEMENT_QTY,
T.PACKING_TYPE,--PACKING_TYPE,
T.TAX_CD,--TAX_CD,
T.LIV_SEND_SUPP,--LIV_SEND_SUPP,
T.STATUS_CD,--STATUS_CD,
T.IF_METHOD,--IF_METHOD,
T.IF_DT,--IF_DT,
T.CREATED_BY,--CREATED_BY,
T.CREATED_DT,--CREATED_DT,
T.CHANGED_BY,--CHANGED_BY,
T.CHANGED_DT--CHANGED_DT	
FROM TB_T_GR_IR AS T where STATUS_ICS = 0
AND DOC_DT >= '2019-02-18'
	
	
	COMMIT TRANSACTION InsertGRIR
	END TRY
	
	BEGIN CATCH
		ROLLBACK TRANSACTION InsertGRIR;
		DECLARE @ErrorMessage NVARCHAR(4000);
		DECLARE @ErrorSeverity INT;
		DECLARE @ErrorState INT;

		SELECT 
			@ErrorMessage = ERROR_MESSAGE(),
			@ErrorSeverity = ERROR_SEVERITY(),
			@ErrorState = ERROR_STATE();

		-- Use RAISERROR inside the CATCH block to return error
		-- information about the original error that caused
		-- execution to jump to the CATCH block.
		RAISERROR (@ErrorMessage, -- Message text.
				   @ErrorSeverity, -- Severity.
				   @ErrorState -- State.
				   );
		RETURN
	END CATCH
	
	
END

